{
  "type": "docker-environment",
  "name": "Linux",

  "environment": "docker",
  "architecture": "x86-64",

  "provides": {
    "environment":  "linux",
    "architecture": "x86-64",

    "init": {
      "env": {
        "C_INCLUDE_PATH": {
          "separator": ":",
          "unique": true
        },

        "CPLUS_INCLUDE_PATH": {
          "separator": ":",
          "unique": true
        },

        "LD_LIBRARY_PATH": {
          "separator": ":",
          "unique": true
        },

        "PATH": {
          "separator": ":",
          "unique": true
        },

        "COMPILER_PATH": {
          "separator": ":",
          "unique": true
        },

        "LIBRARY_PATH": {
          "separator": ":",
          "unique": true
        }
      }
    }
  },

  "run": {
    "command": ["/occam/init/ld-linux-x86-64.so.2", "/occam/init/python/bin/python", "/occam/init/init.py"],
    "env": {
      "LD_LIBRARY_PATH": "/occam/init/usr/lib"
    }
  },
  "init": {
    "copy": [{
      "source": "etc",
      "to": "/etc"
    }]
  }
}
